org.eclipse.emf.cdo.spi.server

## Class ContainerQueryHandlerProvider

- java.lang.Object
- - org.eclipse.emf.cdo.spi.server.ContainerQueryHandlerProvider

- All Implemented Interfaces:
    IQueryHandlerProvider

      public class ContainerQueryHandlerProvider
      extends java.lang.Object
      implements IQueryHandlerProvider

  If the meaning of this type isn't clear, there really should be more of a description here...
  Since:
    2.0
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContainerQueryHandlerProvider(IManagedContainer container)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IManagedContainer` | `getContainer()`
    `IQueryHandler` | `getQueryHandler(CDOQueryInfo info)` If the meaning of this type isn't clear, there really should be more of a description here...

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContainerQueryHandlerProvider

          public ContainerQueryHandlerProvider(IManagedContainer container)

  - ### Method Detail

    - #### getContainer

          public IManagedContainer getContainer()

    - #### getQueryHandler

          public IQueryHandler getQueryHandler(CDOQueryInfo info)

      If the meaning of this type isn't clear, there really should be more of a description here...
      Specified by:
        `getQueryHandler` in interface `IQueryHandlerProvider`
      Since:
        3.0

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html